clear,clc
load('models')
% models=models(2);

% all solutions
Orders_for_TaylorProjection=[1,2,3];

% only cheap solutions

do_all_solutions=1;

do_tp=1; % do Taylor projection

main_folder=pwd;
addpath(main_folder)

ver_options=[1]; % do disaster parametrization

for veri=ver_options
    ver=num2str(veri);

    param_folder=['params_SS' num2str(ver)];

    pert_folder=['solutions' num2str(ver) '_pert']; % folder to save results
    tp_folder=['solutions' num2str(ver) '_tp_newton']; % folder to save results

    % tols for Newton solver
    tp_tolX=1e-5;
    tp_tolF=1e-5;
    tp_maxiter=100;
    tp_jacobian='exact'; % use an exact analytic Jacobian.
    tp_order=Orders_for_TaylorProjection; % do these solution orders
    tp_maxload=50; % control the maximum data in vectorized operations. If memory is insufficient try to reduce it.

    solve_tp_stochastic_ss;

end
