% This file presents the sparsity of the Jacobian

clear, close all
load('models') 

models=models{8}; %take a specific model

main_folder=pwd;
Jsize=zeros(3,2);
Jnnz=zeros(3,2);
Jnnz_share=zeros(3,2);
for order=[1,2,3]
    load([main_folder '\solutions1_tp_newton\' models '\order' num2str(order) '\solution_tp'],'J');
    Jsize(order,1)=size(J,1);
    Jnnz(order,1)=nnz(J);
    Jnnz_share(order,1)=Jnnz(order,1)/Jsize(order,1)^2;
    load([main_folder '\solutions1_smol_newton\' models '\order' num2str(order) '\solution_smol'],'J');
    Jsize(order,2)=size(J,1);
    Jnnz(order,2)=nnz(J);
    Jnnz_share(order,2)=Jnnz(order,2)/Jsize(order,2)^2;
end

        
Jsize
Jnnz
Jnnz_share
